package com.example.blum.look;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.widget.SeekBar;
import android.widget.TextView;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);


        SeekBar[] mySeekBars = new SeekBar[2];

        for(int i=0; i<2; i++) {
                String myID = "sbEq" + (i+1);

                int resID = getResources().getIdentifier(myID, "id", getPackageName());
                mySeekBars[i] = (SeekBar) findViewById(resID);
                mySeekBars[i].setOnSeekBarChangeListener(myListener);
            }
        
    }  //end onCreate

    SeekBar.OnSeekBarChangeListener myListener = new SeekBar.OnSeekBarChangeListener() {
        @Override
        public void onProgressChanged(SeekBar seekBar, int i, boolean b) {
            if(seekBar.getId()==R.id.sbEq1){
                final TextView tvShow1 = (TextView) findViewById(R.id.tvShow1);
                tvShow1.setText(""+(i-12));
            }else{
                final TextView tvShow2 = (TextView) findViewById(R.id.tvShow2);
                tvShow2.setText(""+(i-12));
            }
        }

        @Override
        public void onStartTrackingTouch(SeekBar seekBar) {
        }

        @Override
        public void onStopTrackingTouch(SeekBar seekBar) {
        }
    };

}
